com.amazonaws.services.elastictranscoder.model

## Class JobOutput

- java.lang.Object
- - com.amazonaws.services.elastictranscoder.model.JobOutput

All Implemented Interfaces:
  Serializable, Cloneable

    public class JobOutput
    extends Object
    implements Serializable, Cloneable

<important>

Outputs recommended instead.

</important>

If you specified one output for a job, information about that output. If you specified multiple outputs for a job, the `Output` object lists information about the first output. This duplicates the information that is listed for the first output in the `Outputs` object.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`JobOutput()`

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`JobOutput` `clone()`
`boolean` `equals(Object obj)`
`JobAlbumArt` `getAlbumArt()` The album art to be associated with the output file, if any.
`String` `getAppliedColorSpaceConversion()` If Elastic Transcoder used a preset with a `ColorSpaceConversionMode` to transcode the output file, the `AppliedColorSpaceConversion` parameter shows the conversion used.
`Captions` `getCaptions()` You can configure Elastic Transcoder to transcode captions, or subtitles, from one format to another.
`List<Clip>` `getComposition()` Deprecated.
`Long` `getDuration()` Duration of the output file, in seconds.
`Long` `getDurationMillis()` Duration of the output file, in milliseconds.
`Encryption` `getEncryption()` The encryption settings, if any, that you want Elastic Transcoder to apply to your output files.
`Long` `getFileSize()` File size of the output file, in bytes.
`String` `getFrameRate()` Frame rate of the output file, in frames per second.
`Integer` `getHeight()` Height of the output file, in pixels.
`String` `getId()` A sequential counter, starting with 1, that identifies an output among the outputs from the current job.
`String` `getKey()` The name to assign to the transcoded file.
`String` `getPresetId()` The value of the `Id` object for the preset that you want to use for this job.
`String` `getRotate()` The number of degrees clockwise by which you want Elastic Transcoder to rotate the output relative to the input.
`String` `getSegmentDuration()` <important>
`String` `getStatus()` The status of one output in a job.
`String` `getStatusDetail()` Information that further explains `Status`.
`Encryption` `getThumbnailEncryption()` The encryption settings, if any, that you want Elastic Transcoder to apply to your thumbnail.
`String` `getThumbnailPattern()` Whether you want Elastic Transcoder to create thumbnails for your videos and, if so, how you want Elastic Transcoder to name the files.
`List<JobWatermark>` `getWatermarks()` Information about the watermarks that you want Elastic Transcoder to add to the video during transcoding.
`Integer` `getWidth()` Specifies the width of the output file in pixels.
`int` `hashCode()`
`void` `setAlbumArt(JobAlbumArt albumArt)` The album art to be associated with the output file, if any.
`void` `setAppliedColorSpaceConversion(String appliedColorSpaceConversion)` If Elastic Transcoder used a preset with a `ColorSpaceConversionMode` to transcode the output file, the `AppliedColorSpaceConversion` parameter shows the conversion used.
`void` `setCaptions(Captions captions)` You can configure Elastic Transcoder to transcode captions, or subtitles, from one format to another.
`void` `setComposition(Collection<Clip> composition)` Deprecated.
`void` `setDuration(Long duration)` Duration of the output file, in seconds.
`void` `setDurationMillis(Long durationMillis)` Duration of the output file, in milliseconds.
`void` `setEncryption(Encryption encryption)` The encryption settings, if any, that you want Elastic Transcoder to apply to your output files.
`void` `setFileSize(Long fileSize)` File size of the output file, in bytes.
`void` `setFrameRate(String frameRate)` Frame rate of the output file, in frames per second.
`void` `setHeight(Integer height)` Height of the output file, in pixels.
`void` `setId(String id)` A sequential counter, starting with 1, that identifies an output among the outputs from the current job.
`void` `setKey(String key)` The name to assign to the transcoded file.
`void` `setPresetId(String presetId)` The value of the `Id` object for the preset that you want to use for this job.
`void` `setRotate(String rotate)` The number of degrees clockwise by which you want Elastic Transcoder to rotate the output relative to the input.
`void` `setSegmentDuration(String segmentDuration)` <important>
`void` `setStatus(String status)` The status of one output in a job.
`void` `setStatusDetail(String statusDetail)` Information that further explains `Status`.
`void` `setThumbnailEncryption(Encryption thumbnailEncryption)` The encryption settings, if any, that you want Elastic Transcoder to apply to your thumbnail.
`void` `setThumbnailPattern(String thumbnailPattern)` Whether you want Elastic Transcoder to create thumbnails for your videos and, if so, how you want Elastic Transcoder to name the files.
`void` `setWatermarks(Collection<JobWatermark> watermarks)` Information about the watermarks that you want Elastic Transcoder to add to the video during transcoding.
`void` `setWidth(Integer width)` Specifies the width of the output file in pixels.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`JobOutput` `withAlbumArt(JobAlbumArt albumArt)` The album art to be associated with the output file, if any.
`JobOutput` `withAppliedColorSpaceConversion(String appliedColorSpaceConversion)` If Elastic Transcoder used a preset with a `ColorSpaceConversionMode` to transcode the output file, the `AppliedColorSpaceConversion` parameter shows the conversion used.
`JobOutput` `withCaptions(Captions captions)` You can configure Elastic Transcoder to transcode captions, or subtitles, from one format to another.
`JobOutput` `withComposition(Clip... composition)` Deprecated.
`JobOutput` `withComposition(Collection<Clip> composition)` Deprecated.
`JobOutput` `withDuration(Long duration)` Duration of the output file, in seconds.
`JobOutput` `withDurationMillis(Long durationMillis)` Duration of the output file, in milliseconds.
`JobOutput` `withEncryption(Encryption encryption)` The encryption settings, if any, that you want Elastic Transcoder to apply to your output files.
`JobOutput` `withFileSize(Long fileSize)` File size of the output file, in bytes.
`JobOutput` `withFrameRate(String frameRate)` Frame rate of the output file, in frames per second.
`JobOutput` `withHeight(Integer height)` Height of the output file, in pixels.
`JobOutput` `withId(String id)` A sequential counter, starting with 1, that identifies an output among the outputs from the current job.
`JobOutput` `withKey(String key)` The name to assign to the transcoded file.
`JobOutput` `withPresetId(String presetId)` The value of the `Id` object for the preset that you want to use for this job.
`JobOutput` `withRotate(String rotate)` The number of degrees clockwise by which you want Elastic Transcoder to rotate the output relative to the input.
`JobOutput` `withSegmentDuration(String segmentDuration)` <important>
`JobOutput` `withStatus(String status)` The status of one output in a job.
`JobOutput` `withStatusDetail(String statusDetail)` Information that further explains `Status`.
`JobOutput` `withThumbnailEncryption(Encryption thumbnailEncryption)` The encryption settings, if any, that you want Elastic Transcoder to apply to your thumbnail.
`JobOutput` `withThumbnailPattern(String thumbnailPattern)` Whether you want Elastic Transcoder to create thumbnails for your videos and, if so, how you want Elastic Transcoder to name the files.
`JobOutput` `withWatermarks(Collection<JobWatermark> watermarks)` Information about the watermarks that you want Elastic Transcoder to add to the video during transcoding.
`JobOutput` `withWatermarks(JobWatermark... watermarks)` Information about the watermarks that you want Elastic Transcoder to add to the video during transcoding.
`JobOutput` `withWidth(Integer width)` Specifies the width of the output file in pixels.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### JobOutput

    public JobOutput()

### Method Detail

#### setId

    public void setId(String id)

A sequential counter, starting with 1, that identifies an output among the outputs from the current job. In the Output syntax, this value is always 1.

Parameters:
  `id` - A sequential counter, starting with 1, that identifies an output among the outputs from the current job. In the Output syntax, this value is always 1.

#### getId

    public String getId()

A sequential counter, starting with 1, that identifies an output among the outputs from the current job. In the Output syntax, this value is always 1.

Returns:
  A sequential counter, starting with 1, that identifies an output among the outputs from the current job. In the Output syntax, this value is always 1.

#### withId

    public JobOutput withId(String id)

A sequential counter, starting with 1, that identifies an output among the outputs from the current job. In the Output syntax, this value is always 1.

Parameters:
  `id` - A sequential counter, starting with 1, that identifies an output among the outputs from the current job. In the Output syntax, this value is always 1.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setKey

    public void setKey(String key)

The name to assign to the transcoded file. Elastic Transcoder saves the file in the Amazon S3 bucket specified by the `OutputBucket` object in the pipeline that is specified by the pipeline ID.

Parameters:
  `key` - The name to assign to the transcoded file. Elastic Transcoder saves the file in the Amazon S3 bucket specified by the `OutputBucket` object in the pipeline that is specified by the pipeline ID.

#### getKey

    public String getKey()

The name to assign to the transcoded file. Elastic Transcoder saves the file in the Amazon S3 bucket specified by the `OutputBucket` object in the pipeline that is specified by the pipeline ID.

Returns:
  The name to assign to the transcoded file. Elastic Transcoder saves the file in the Amazon S3 bucket specified by the `OutputBucket` object in the pipeline that is specified by the pipeline ID.

#### withKey

    public JobOutput withKey(String key)

The name to assign to the transcoded file. Elastic Transcoder saves the file in the Amazon S3 bucket specified by the `OutputBucket` object in the pipeline that is specified by the pipeline ID.

Parameters:
  `key` - The name to assign to the transcoded file. Elastic Transcoder saves the file in the Amazon S3 bucket specified by the `OutputBucket` object in the pipeline that is specified by the pipeline ID.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setThumbnailPattern

    public void setThumbnailPattern(String thumbnailPattern)

Whether you want Elastic Transcoder to create thumbnails for your videos and, if so, how you want Elastic Transcoder to name the files.

If you don't want Elastic Transcoder to create thumbnails, specify "".

If you do want Elastic Transcoder to create thumbnails, specify the information that you want to include in the file name for each thumbnail. You can specify the following values in any sequence:

- `{count}` (Required): If you want to create thumbnails, you must include `{count}` in the `ThumbnailPattern` object. Wherever you specify `{count}`, Elastic Transcoder adds a five-digit sequence number (beginning with 00001) to thumbnail file names. The number indicates where a given thumbnail appears in the sequence of thumbnails for a transcoded file.

  <important>

  If you specify a literal value and/or `{resolution}` but you omit `{count}`, Elastic Transcoder returns a validation error and does not create the job.

  </important>

- Literal values (Optional): You can specify literal values anywhere in the `ThumbnailPattern` object. For example, you can include them as a file name prefix or as a delimiter between `{resolution}` and `{count}`.

- `{resolution}` (Optional): If you want Elastic Transcoder to include the resolution in the file name, include `{resolution}` in the `ThumbnailPattern` object.

When creating thumbnails, Elastic Transcoder automatically saves the files in the format (.jpg or .png) that appears in the preset that you specified in the `PresetID` value of `CreateJobOutput`. Elastic Transcoder also appends the applicable file name extension.

Parameters:
  `thumbnailPattern` - Whether you want Elastic Transcoder to create thumbnails for your videos and, if so, how you want Elastic Transcoder to name the files.

  If you don't want Elastic Transcoder to create thumbnails, specify "".

  If you do want Elastic Transcoder to create thumbnails, specify the information that you want to include in the file name for each thumbnail. You can specify the following values in any sequence:

  - `{count}` (Required): If you want to create thumbnails, you must include `{count}` in the `ThumbnailPattern` object. Wherever you specify `{count}`, Elastic Transcoder adds a five-digit sequence number (beginning with 00001) to thumbnail file names. The number indicates where a given thumbnail appears in the sequence of thumbnails for a transcoded file.

    <important>

    If you specify a literal value and/or `{resolution}` but you omit `{count}`, Elastic Transcoder returns a validation error and does not create the job.

    </important>

  - Literal values (Optional): You can specify literal values anywhere in the `ThumbnailPattern` object. For example, you can include them as a file name prefix or as a delimiter between `{resolution}` and `{count}`.

  - `{resolution}` (Optional): If you want Elastic Transcoder to include the resolution in the file name, include `{resolution}` in the `ThumbnailPattern` object.

  When creating thumbnails, Elastic Transcoder automatically saves the files in the format (.jpg or .png) that appears in the preset that you specified in the `PresetID` value of `CreateJobOutput`. Elastic Transcoder also appends the applicable file name extension.

#### getThumbnailPattern

    public String getThumbnailPattern()

Whether you want Elastic Transcoder to create thumbnails for your videos and, if so, how you want Elastic Transcoder to name the files.

If you don't want Elastic Transcoder to create thumbnails, specify "".

If you do want Elastic Transcoder to create thumbnails, specify the information that you want to include in the file name for each thumbnail. You can specify the following values in any sequence:

- `{count}` (Required): If you want to create thumbnails, you must include `{count}` in the `ThumbnailPattern` object. Wherever you specify `{count}`, Elastic Transcoder adds a five-digit sequence number (beginning with 00001) to thumbnail file names. The number indicates where a given thumbnail appears in the sequence of thumbnails for a transcoded file.

  <important>

  If you specify a literal value and/or `{resolution}` but you omit `{count}`, Elastic Transcoder returns a validation error and does not create the job.

  </important>

- Literal values (Optional): You can specify literal values anywhere in the `ThumbnailPattern` object. For example, you can include them as a file name prefix or as a delimiter between `{resolution}` and `{count}`.

- `{resolution}` (Optional): If you want Elastic Transcoder to include the resolution in the file name, include `{resolution}` in the `ThumbnailPattern` object.

When creating thumbnails, Elastic Transcoder automatically saves the files in the format (.jpg or .png) that appears in the preset that you specified in the `PresetID` value of `CreateJobOutput`. Elastic Transcoder also appends the applicable file name extension.

Returns:
  Whether you want Elastic Transcoder to create thumbnails for your videos and, if so, how you want Elastic Transcoder to name the files.

  If you don't want Elastic Transcoder to create thumbnails, specify "".

  If you do want Elastic Transcoder to create thumbnails, specify the information that you want to include in the file name for each thumbnail. You can specify the following values in any sequence:

  - `{count}` (Required): If you want to create thumbnails, you must include `{count}` in the `ThumbnailPattern` object. Wherever you specify `{count}`, Elastic Transcoder adds a five-digit sequence number (beginning with 00001) to thumbnail file names. The number indicates where a given thumbnail appears in the sequence of thumbnails for a transcoded file.

    <important>

    If you specify a literal value and/or `{resolution}` but you omit `{count}`, Elastic Transcoder returns a validation error and does not create the job.

    </important>

  - Literal values (Optional): You can specify literal values anywhere in the `ThumbnailPattern` object. For example, you can include them as a file name prefix or as a delimiter between `{resolution}` and `{count}`.

  - `{resolution}` (Optional): If you want Elastic Transcoder to include the resolution in the file name, include `{resolution}` in the `ThumbnailPattern` object.

  When creating thumbnails, Elastic Transcoder automatically saves the files in the format (.jpg or .png) that appears in the preset that you specified in the `PresetID` value of `CreateJobOutput`. Elastic Transcoder also appends the applicable file name extension.

#### withThumbnailPattern

    public JobOutput withThumbnailPattern(String thumbnailPattern)

Whether you want Elastic Transcoder to create thumbnails for your videos and, if so, how you want Elastic Transcoder to name the files.

If you don't want Elastic Transcoder to create thumbnails, specify "".

If you do want Elastic Transcoder to create thumbnails, specify the information that you want to include in the file name for each thumbnail. You can specify the following values in any sequence:

- `{count}` (Required): If you want to create thumbnails, you must include `{count}` in the `ThumbnailPattern` object. Wherever you specify `{count}`, Elastic Transcoder adds a five-digit sequence number (beginning with 00001) to thumbnail file names. The number indicates where a given thumbnail appears in the sequence of thumbnails for a transcoded file.

  <important>

  If you specify a literal value and/or `{resolution}` but you omit `{count}`, Elastic Transcoder returns a validation error and does not create the job.

  </important>

- Literal values (Optional): You can specify literal values anywhere in the `ThumbnailPattern` object. For example, you can include them as a file name prefix or as a delimiter between `{resolution}` and `{count}`.

- `{resolution}` (Optional): If you want Elastic Transcoder to include the resolution in the file name, include `{resolution}` in the `ThumbnailPattern` object.

When creating thumbnails, Elastic Transcoder automatically saves the files in the format (.jpg or .png) that appears in the preset that you specified in the `PresetID` value of `CreateJobOutput`. Elastic Transcoder also appends the applicable file name extension.

Parameters:
  `thumbnailPattern` - Whether you want Elastic Transcoder to create thumbnails for your videos and, if so, how you want Elastic Transcoder to name the files.

  If you don't want Elastic Transcoder to create thumbnails, specify "".

  If you do want Elastic Transcoder to create thumbnails, specify the information that you want to include in the file name for each thumbnail. You can specify the following values in any sequence:

  - `{count}` (Required): If you want to create thumbnails, you must include `{count}` in the `ThumbnailPattern` object. Wherever you specify `{count}`, Elastic Transcoder adds a five-digit sequence number (beginning with 00001) to thumbnail file names. The number indicates where a given thumbnail appears in the sequence of thumbnails for a transcoded file.

    <important>

    If you specify a literal value and/or `{resolution}` but you omit `{count}`, Elastic Transcoder returns a validation error and does not create the job.

    </important>

  - Literal values (Optional): You can specify literal values anywhere in the `ThumbnailPattern` object. For example, you can include them as a file name prefix or as a delimiter between `{resolution}` and `{count}`.

  - `{resolution}` (Optional): If you want Elastic Transcoder to include the resolution in the file name, include `{resolution}` in the `ThumbnailPattern` object.

  When creating thumbnails, Elastic Transcoder automatically saves the files in the format (.jpg or .png) that appears in the preset that you specified in the `PresetID` value of `CreateJobOutput`. Elastic Transcoder also appends the applicable file name extension.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setThumbnailEncryption

    public void setThumbnailEncryption(Encryption thumbnailEncryption)

The encryption settings, if any, that you want Elastic Transcoder to apply to your thumbnail.

Parameters:
  `thumbnailEncryption` - The encryption settings, if any, that you want Elastic Transcoder to apply to your thumbnail.

#### getThumbnailEncryption

    public Encryption getThumbnailEncryption()

The encryption settings, if any, that you want Elastic Transcoder to apply to your thumbnail.

Returns:
  The encryption settings, if any, that you want Elastic Transcoder to apply to your thumbnail.

#### withThumbnailEncryption

    public JobOutput withThumbnailEncryption(Encryption thumbnailEncryption)

The encryption settings, if any, that you want Elastic Transcoder to apply to your thumbnail.

Parameters:
  `thumbnailEncryption` - The encryption settings, if any, that you want Elastic Transcoder to apply to your thumbnail.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setRotate

    public void setRotate(String rotate)

The number of degrees clockwise by which you want Elastic Transcoder to rotate the output relative to the input. Enter one of the following values:

`auto`, `0`, `90`, `180`, `270`

The value `auto` generally works only if the file that you're transcoding contains rotation metadata.

Parameters:
  `rotate` - The number of degrees clockwise by which you want Elastic Transcoder to rotate the output relative to the input. Enter one of the following values:

  `auto`, `0`, `90`, `180`, `270`

  The value `auto` generally works only if the file that you're transcoding contains rotation metadata.

#### getRotate

    public String getRotate()

The number of degrees clockwise by which you want Elastic Transcoder to rotate the output relative to the input. Enter one of the following values:

`auto`, `0`, `90`, `180`, `270`

The value `auto` generally works only if the file that you're transcoding contains rotation metadata.

Returns:
  The number of degrees clockwise by which you want Elastic Transcoder to rotate the output relative to the input. Enter one of the following values:

  `auto`, `0`, `90`, `180`, `270`

  The value `auto` generally works only if the file that you're transcoding contains rotation metadata.

#### withRotate

    public JobOutput withRotate(String rotate)

The number of degrees clockwise by which you want Elastic Transcoder to rotate the output relative to the input. Enter one of the following values:

`auto`, `0`, `90`, `180`, `270`

The value `auto` generally works only if the file that you're transcoding contains rotation metadata.

Parameters:
  `rotate` - The number of degrees clockwise by which you want Elastic Transcoder to rotate the output relative to the input. Enter one of the following values:

  `auto`, `0`, `90`, `180`, `270`

  The value `auto` generally works only if the file that you're transcoding contains rotation metadata.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setPresetId

    public void setPresetId(String presetId)

The value of the `Id` object for the preset that you want to use for this job. The preset determines the audio, video, and thumbnail settings that Elastic Transcoder uses for transcoding. To use a preset that you created, specify the preset ID that Elastic Transcoder returned in the response when you created the preset. You can also use the Elastic Transcoder system presets, which you can get with `ListPresets`.

Parameters:
  `presetId` - The value of the `Id` object for the preset that you want to use for this job. The preset determines the audio, video, and thumbnail settings that Elastic Transcoder uses for transcoding. To use a preset that you created, specify the preset ID that Elastic Transcoder returned in the response when you created the preset. You can also use the Elastic Transcoder system presets, which you can get with `ListPresets`.

#### getPresetId

    public String getPresetId()

The value of the `Id` object for the preset that you want to use for this job. The preset determines the audio, video, and thumbnail settings that Elastic Transcoder uses for transcoding. To use a preset that you created, specify the preset ID that Elastic Transcoder returned in the response when you created the preset. You can also use the Elastic Transcoder system presets, which you can get with `ListPresets`.

Returns:
  The value of the `Id` object for the preset that you want to use for this job. The preset determines the audio, video, and thumbnail settings that Elastic Transcoder uses for transcoding. To use a preset that you created, specify the preset ID that Elastic Transcoder returned in the response when you created the preset. You can also use the Elastic Transcoder system presets, which you can get with `ListPresets`.

#### withPresetId

    public JobOutput withPresetId(String presetId)

The value of the `Id` object for the preset that you want to use for this job. The preset determines the audio, video, and thumbnail settings that Elastic Transcoder uses for transcoding. To use a preset that you created, specify the preset ID that Elastic Transcoder returned in the response when you created the preset. You can also use the Elastic Transcoder system presets, which you can get with `ListPresets`.

Parameters:
  `presetId` - The value of the `Id` object for the preset that you want to use for this job. The preset determines the audio, video, and thumbnail settings that Elastic Transcoder uses for transcoding. To use a preset that you created, specify the preset ID that Elastic Transcoder returned in the response when you created the preset. You can also use the Elastic Transcoder system presets, which you can get with `ListPresets`.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setSegmentDuration

    public void setSegmentDuration(String segmentDuration)

<important>

(Outputs in Fragmented MP4 or MPEG-TS format only.

</important>

If you specify a preset in `PresetId` for which the value of `Container` is `fmp4` (Fragmented MP4) or `ts` (MPEG-TS), `SegmentDuration` is the target maximum duration of each segment in seconds. For `HLSv3` format playlists, each media segment is stored in a separate `.ts` file. For `HLSv4`, `MPEG-DASH`, and `Smooth` playlists, all media segments for an output are stored in a single file. Each segment is approximately the length of the `SegmentDuration`, though individual segments might be shorter or longer.

The range of valid values is 1 to 60 seconds. If the duration of the video is not evenly divisible by `SegmentDuration`, the duration of the last segment is the remainder of total length/SegmentDuration.

Elastic Transcoder creates an output-specific playlist for each output `HLS` output that you specify in OutputKeys. To add an output to the master playlist for this job, include it in the `OutputKeys` of the associated playlist.

Parameters:
  `segmentDuration` -

  (Outputs in Fragmented MP4 or MPEG-TS format only.

  </important>

  If you specify a preset in `PresetId` for which the value of `Container` is `fmp4` (Fragmented MP4) or `ts` (MPEG-TS), `SegmentDuration` is the target maximum duration of each segment in seconds. For `HLSv3` format playlists, each media segment is stored in a separate `.ts` file. For `HLSv4`, `MPEG-DASH`, and `Smooth` playlists, all media segments for an output are stored in a single file. Each segment is approximately the length of the `SegmentDuration`, though individual segments might be shorter or longer.

  The range of valid values is 1 to 60 seconds. If the duration of the video is not evenly divisible by `SegmentDuration`, the duration of the last segment is the remainder of total length/SegmentDuration.

  Elastic Transcoder creates an output-specific playlist for each output `HLS` output that you specify in OutputKeys. To add an output to the master playlist for this job, include it in the `OutputKeys` of the associated playlist.

#### getSegmentDuration

    public String getSegmentDuration()

<important>

(Outputs in Fragmented MP4 or MPEG-TS format only.

</important>

If you specify a preset in `PresetId` for which the value of `Container` is `fmp4` (Fragmented MP4) or `ts` (MPEG-TS), `SegmentDuration` is the target maximum duration of each segment in seconds. For `HLSv3` format playlists, each media segment is stored in a separate `.ts` file. For `HLSv4`, `MPEG-DASH`, and `Smooth` playlists, all media segments for an output are stored in a single file. Each segment is approximately the length of the `SegmentDuration`, though individual segments might be shorter or longer.

The range of valid values is 1 to 60 seconds. If the duration of the video is not evenly divisible by `SegmentDuration`, the duration of the last segment is the remainder of total length/SegmentDuration.

Elastic Transcoder creates an output-specific playlist for each output `HLS` output that you specify in OutputKeys. To add an output to the master playlist for this job, include it in the `OutputKeys` of the associated playlist.

Returns:

  (Outputs in Fragmented MP4 or MPEG-TS format only.

  </important>

  If you specify a preset in `PresetId` for which the value of `Container` is `fmp4` (Fragmented MP4) or `ts` (MPEG-TS), `SegmentDuration` is the target maximum duration of each segment in seconds. For `HLSv3` format playlists, each media segment is stored in a separate `.ts` file. For `HLSv4`, `MPEG-DASH`, and `Smooth` playlists, all media segments for an output are stored in a single file. Each segment is approximately the length of the `SegmentDuration`, though individual segments might be shorter or longer.

  The range of valid values is 1 to 60 seconds. If the duration of the video is not evenly divisible by `SegmentDuration`, the duration of the last segment is the remainder of total length/SegmentDuration.

  Elastic Transcoder creates an output-specific playlist for each output `HLS` output that you specify in OutputKeys. To add an output to the master playlist for this job, include it in the `OutputKeys` of the associated playlist.

#### withSegmentDuration

    public JobOutput withSegmentDuration(String segmentDuration)

<important>

(Outputs in Fragmented MP4 or MPEG-TS format only.

</important>

If you specify a preset in `PresetId` for which the value of `Container` is `fmp4` (Fragmented MP4) or `ts` (MPEG-TS), `SegmentDuration` is the target maximum duration of each segment in seconds. For `HLSv3` format playlists, each media segment is stored in a separate `.ts` file. For `HLSv4`, `MPEG-DASH`, and `Smooth` playlists, all media segments for an output are stored in a single file. Each segment is approximately the length of the `SegmentDuration`, though individual segments might be shorter or longer.

The range of valid values is 1 to 60 seconds. If the duration of the video is not evenly divisible by `SegmentDuration`, the duration of the last segment is the remainder of total length/SegmentDuration.

Elastic Transcoder creates an output-specific playlist for each output `HLS` output that you specify in OutputKeys. To add an output to the master playlist for this job, include it in the `OutputKeys` of the associated playlist.

Parameters:
  `segmentDuration` -

  (Outputs in Fragmented MP4 or MPEG-TS format only.

  </important>

  If you specify a preset in `PresetId` for which the value of `Container` is `fmp4` (Fragmented MP4) or `ts` (MPEG-TS), `SegmentDuration` is the target maximum duration of each segment in seconds. For `HLSv3` format playlists, each media segment is stored in a separate `.ts` file. For `HLSv4`, `MPEG-DASH`, and `Smooth` playlists, all media segments for an output are stored in a single file. Each segment is approximately the length of the `SegmentDuration`, though individual segments might be shorter or longer.

  The range of valid values is 1 to 60 seconds. If the duration of the video is not evenly divisible by `SegmentDuration`, the duration of the last segment is the remainder of total length/SegmentDuration.

  Elastic Transcoder creates an output-specific playlist for each output `HLS` output that you specify in OutputKeys. To add an output to the master playlist for this job, include it in the `OutputKeys` of the associated playlist.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setStatus

    public void setStatus(String status)

The status of one output in a job. If you specified only one output for the job, `Outputs:Status` is always the same as `Job:Status`. If you specified more than one output:

- `Job:Status` and `Outputs:Status` for all of the outputs is Submitted until Elastic Transcoder starts to process the first output.

- When Elastic Transcoder starts to process the first output, `Outputs:Status` for that output and `Job:Status` both change to Progressing. For each output, the value of `Outputs:Status` remains Submitted until Elastic Transcoder starts to process the output.

- Job:Status remains Progressing until all of the outputs reach a terminal status, either Complete or Error.

- When all of the outputs reach a terminal status, `Job:Status` changes to Complete only if `Outputs:Status` for all of the outputs is `Complete`. If `Outputs:Status` for one or more outputs is `Error`, the terminal status for `Job:Status` is also `Error`.

The value of `Status` is one of the following: `Submitted`, `Progressing`, `Complete`, `Canceled`, or `Error`.

Parameters:
  `status` - The status of one output in a job. If you specified only one output for the job, `Outputs:Status` is always the same as `Job:Status`. If you specified more than one output:

  - `Job:Status` and `Outputs:Status` for all of the outputs is Submitted until Elastic Transcoder starts to process the first output.

  - When Elastic Transcoder starts to process the first output, `Outputs:Status` for that output and `Job:Status` both change to Progressing. For each output, the value of `Outputs:Status` remains Submitted until Elastic Transcoder starts to process the output.

  - Job:Status remains Progressing until all of the outputs reach a terminal status, either Complete or Error.

  - When all of the outputs reach a terminal status, `Job:Status` changes to Complete only if `Outputs:Status` for all of the outputs is `Complete`. If `Outputs:Status` for one or more outputs is `Error`, the terminal status for `Job:Status` is also `Error`.

  The value of `Status` is one of the following: `Submitted`, `Progressing`, `Complete`, `Canceled`, or `Error`.

#### getStatus

    public String getStatus()

The status of one output in a job. If you specified only one output for the job, `Outputs:Status` is always the same as `Job:Status`. If you specified more than one output:

- `Job:Status` and `Outputs:Status` for all of the outputs is Submitted until Elastic Transcoder starts to process the first output.

- When Elastic Transcoder starts to process the first output, `Outputs:Status` for that output and `Job:Status` both change to Progressing. For each output, the value of `Outputs:Status` remains Submitted until Elastic Transcoder starts to process the output.

- Job:Status remains Progressing until all of the outputs reach a terminal status, either Complete or Error.

- When all of the outputs reach a terminal status, `Job:Status` changes to Complete only if `Outputs:Status` for all of the outputs is `Complete`. If `Outputs:Status` for one or more outputs is `Error`, the terminal status for `Job:Status` is also `Error`.

The value of `Status` is one of the following: `Submitted`, `Progressing`, `Complete`, `Canceled`, or `Error`.

Returns:
  The status of one output in a job. If you specified only one output for the job, `Outputs:Status` is always the same as `Job:Status`. If you specified more than one output:

  - `Job:Status` and `Outputs:Status` for all of the outputs is Submitted until Elastic Transcoder starts to process the first output.

  - When Elastic Transcoder starts to process the first output, `Outputs:Status` for that output and `Job:Status` both change to Progressing. For each output, the value of `Outputs:Status` remains Submitted until Elastic Transcoder starts to process the output.

  - Job:Status remains Progressing until all of the outputs reach a terminal status, either Complete or Error.

  - When all of the outputs reach a terminal status, `Job:Status` changes to Complete only if `Outputs:Status` for all of the outputs is `Complete`. If `Outputs:Status` for one or more outputs is `Error`, the terminal status for `Job:Status` is also `Error`.

  The value of `Status` is one of the following: `Submitted`, `Progressing`, `Complete`, `Canceled`, or `Error`.

#### withStatus

    public JobOutput withStatus(String status)

The status of one output in a job. If you specified only one output for the job, `Outputs:Status` is always the same as `Job:Status`. If you specified more than one output:

- `Job:Status` and `Outputs:Status` for all of the outputs is Submitted until Elastic Transcoder starts to process the first output.

- When Elastic Transcoder starts to process the first output, `Outputs:Status` for that output and `Job:Status` both change to Progressing. For each output, the value of `Outputs:Status` remains Submitted until Elastic Transcoder starts to process the output.

- Job:Status remains Progressing until all of the outputs reach a terminal status, either Complete or Error.

- When all of the outputs reach a terminal status, `Job:Status` changes to Complete only if `Outputs:Status` for all of the outputs is `Complete`. If `Outputs:Status` for one or more outputs is `Error`, the terminal status for `Job:Status` is also `Error`.

The value of `Status` is one of the following: `Submitted`, `Progressing`, `Complete`, `Canceled`, or `Error`.

Parameters:
  `status` - The status of one output in a job. If you specified only one output for the job, `Outputs:Status` is always the same as `Job:Status`. If you specified more than one output:

  - `Job:Status` and `Outputs:Status` for all of the outputs is Submitted until Elastic Transcoder starts to process the first output.

  - When Elastic Transcoder starts to process the first output, `Outputs:Status` for that output and `Job:Status` both change to Progressing. For each output, the value of `Outputs:Status` remains Submitted until Elastic Transcoder starts to process the output.

  - Job:Status remains Progressing until all of the outputs reach a terminal status, either Complete or Error.

  - When all of the outputs reach a terminal status, `Job:Status` changes to Complete only if `Outputs:Status` for all of the outputs is `Complete`. If `Outputs:Status` for one or more outputs is `Error`, the terminal status for `Job:Status` is also `Error`.

  The value of `Status` is one of the following: `Submitted`, `Progressing`, `Complete`, `Canceled`, or `Error`.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setStatusDetail

    public void setStatusDetail(String statusDetail)

Information that further explains `Status`.

Parameters:
  `statusDetail` - Information that further explains `Status`.

#### getStatusDetail

    public String getStatusDetail()

Information that further explains `Status`.

Returns:
  Information that further explains `Status`.

#### withStatusDetail

    public JobOutput withStatusDetail(String statusDetail)

Information that further explains `Status`.

Parameters:
  `statusDetail` - Information that further explains `Status`.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setDuration

    public void setDuration(Long duration)

Duration of the output file, in seconds.

Parameters:
  `duration` - Duration of the output file, in seconds.

#### getDuration

    public Long getDuration()

Duration of the output file, in seconds.

Returns:
  Duration of the output file, in seconds.

#### withDuration

    public JobOutput withDuration(Long duration)

Duration of the output file, in seconds.

Parameters:
  `duration` - Duration of the output file, in seconds.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setWidth

    public void setWidth(Integer width)

Specifies the width of the output file in pixels.

Parameters:
  `width` - Specifies the width of the output file in pixels.

#### getWidth

    public Integer getWidth()

Specifies the width of the output file in pixels.

Returns:
  Specifies the width of the output file in pixels.

#### withWidth

    public JobOutput withWidth(Integer width)

Specifies the width of the output file in pixels.

Parameters:
  `width` - Specifies the width of the output file in pixels.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setHeight

    public void setHeight(Integer height)

Height of the output file, in pixels.

Parameters:
  `height` - Height of the output file, in pixels.

#### getHeight

    public Integer getHeight()

Height of the output file, in pixels.

Returns:
  Height of the output file, in pixels.

#### withHeight

    public JobOutput withHeight(Integer height)

Height of the output file, in pixels.

Parameters:
  `height` - Height of the output file, in pixels.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setFrameRate

    public void setFrameRate(String frameRate)

Frame rate of the output file, in frames per second.

Parameters:
  `frameRate` - Frame rate of the output file, in frames per second.

#### getFrameRate

    public String getFrameRate()

Frame rate of the output file, in frames per second.

Returns:
  Frame rate of the output file, in frames per second.

#### withFrameRate

    public JobOutput withFrameRate(String frameRate)

Frame rate of the output file, in frames per second.

Parameters:
  `frameRate` - Frame rate of the output file, in frames per second.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setFileSize

    public void setFileSize(Long fileSize)

File size of the output file, in bytes.

Parameters:
  `fileSize` - File size of the output file, in bytes.

#### getFileSize

    public Long getFileSize()

File size of the output file, in bytes.

Returns:
  File size of the output file, in bytes.

#### withFileSize

    public JobOutput withFileSize(Long fileSize)

File size of the output file, in bytes.

Parameters:
  `fileSize` - File size of the output file, in bytes.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setDurationMillis

    public void setDurationMillis(Long durationMillis)

Duration of the output file, in milliseconds.

Parameters:
  `durationMillis` - Duration of the output file, in milliseconds.

#### getDurationMillis

    public Long getDurationMillis()

Duration of the output file, in milliseconds.

Returns:
  Duration of the output file, in milliseconds.

#### withDurationMillis

    public JobOutput withDurationMillis(Long durationMillis)

Duration of the output file, in milliseconds.

Parameters:
  `durationMillis` - Duration of the output file, in milliseconds.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### getWatermarks

    public List<JobWatermark> getWatermarks()

Information about the watermarks that you want Elastic Transcoder to add to the video during transcoding. You can specify up to four watermarks for each output. Settings for each watermark must be defined in the preset that you specify in `Preset` for the current output.

Watermarks are added to the output video in the sequence in which you list them in the job output—the first watermark in the list is added to the output video first, the second watermark in the list is added next, and so on. As a result, if the settings in a preset cause Elastic Transcoder to place all watermarks in the same location, the second watermark that you add covers the first one, the third one covers the second, and the fourth one covers the third.

Returns:
  Information about the watermarks that you want Elastic Transcoder to add to the video during transcoding. You can specify up to four watermarks for each output. Settings for each watermark must be defined in the preset that you specify in `Preset` for the current output.

  Watermarks are added to the output video in the sequence in which you list them in the job output—the first watermark in the list is added to the output video first, the second watermark in the list is added next, and so on. As a result, if the settings in a preset cause Elastic Transcoder to place all watermarks in the same location, the second watermark that you add covers the first one, the third one covers the second, and the fourth one covers the third.

#### setWatermarks

    public void setWatermarks(Collection<JobWatermark> watermarks)

Information about the watermarks that you want Elastic Transcoder to add to the video during transcoding. You can specify up to four watermarks for each output. Settings for each watermark must be defined in the preset that you specify in `Preset` for the current output.

Watermarks are added to the output video in the sequence in which you list them in the job output—the first watermark in the list is added to the output video first, the second watermark in the list is added next, and so on. As a result, if the settings in a preset cause Elastic Transcoder to place all watermarks in the same location, the second watermark that you add covers the first one, the third one covers the second, and the fourth one covers the third.

Parameters:
  `watermarks` - Information about the watermarks that you want Elastic Transcoder to add to the video during transcoding. You can specify up to four watermarks for each output. Settings for each watermark must be defined in the preset that you specify in `Preset` for the current output.

  Watermarks are added to the output video in the sequence in which you list them in the job output—the first watermark in the list is added to the output video first, the second watermark in the list is added next, and so on. As a result, if the settings in a preset cause Elastic Transcoder to place all watermarks in the same location, the second watermark that you add covers the first one, the third one covers the second, and the fourth one covers the third.

#### withWatermarks

    public JobOutput withWatermarks(JobWatermark... watermarks)

Information about the watermarks that you want Elastic Transcoder to add to the video during transcoding. You can specify up to four watermarks for each output. Settings for each watermark must be defined in the preset that you specify in `Preset` for the current output.

Watermarks are added to the output video in the sequence in which you list them in the job output—the first watermark in the list is added to the output video first, the second watermark in the list is added next, and so on. As a result, if the settings in a preset cause Elastic Transcoder to place all watermarks in the same location, the second watermark that you add covers the first one, the third one covers the second, and the fourth one covers the third.

NOTE: This method appends the values to the existing list (if any). Use `setWatermarks(java.util.Collection)` or `withWatermarks(java.util.Collection)` if you want to override the existing values.

Parameters:
  `watermarks` - Information about the watermarks that you want Elastic Transcoder to add to the video during transcoding. You can specify up to four watermarks for each output. Settings for each watermark must be defined in the preset that you specify in `Preset` for the current output.

  Watermarks are added to the output video in the sequence in which you list them in the job output—the first watermark in the list is added to the output video first, the second watermark in the list is added next, and so on. As a result, if the settings in a preset cause Elastic Transcoder to place all watermarks in the same location, the second watermark that you add covers the first one, the third one covers the second, and the fourth one covers the third.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### withWatermarks

    public JobOutput withWatermarks(Collection<JobWatermark> watermarks)

Information about the watermarks that you want Elastic Transcoder to add to the video during transcoding. You can specify up to four watermarks for each output. Settings for each watermark must be defined in the preset that you specify in `Preset` for the current output.

Watermarks are added to the output video in the sequence in which you list them in the job output—the first watermark in the list is added to the output video first, the second watermark in the list is added next, and so on. As a result, if the settings in a preset cause Elastic Transcoder to place all watermarks in the same location, the second watermark that you add covers the first one, the third one covers the second, and the fourth one covers the third.

Parameters:
  `watermarks` - Information about the watermarks that you want Elastic Transcoder to add to the video during transcoding. You can specify up to four watermarks for each output. Settings for each watermark must be defined in the preset that you specify in `Preset` for the current output.

  Watermarks are added to the output video in the sequence in which you list them in the job output—the first watermark in the list is added to the output video first, the second watermark in the list is added next, and so on. As a result, if the settings in a preset cause Elastic Transcoder to place all watermarks in the same location, the second watermark that you add covers the first one, the third one covers the second, and the fourth one covers the third.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setAlbumArt

    public void setAlbumArt(JobAlbumArt albumArt)

The album art to be associated with the output file, if any.

Parameters:
  `albumArt` - The album art to be associated with the output file, if any.

#### getAlbumArt

    public JobAlbumArt getAlbumArt()

The album art to be associated with the output file, if any.

Returns:
  The album art to be associated with the output file, if any.

#### withAlbumArt

    public JobOutput withAlbumArt(JobAlbumArt albumArt)

The album art to be associated with the output file, if any.

Parameters:
  `albumArt` - The album art to be associated with the output file, if any.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### getComposition

    @Deprecated
    public List<Clip> getComposition()

Deprecated.

You can create an output file that contains an excerpt from the input file. This excerpt, called a clip, can come from the beginning, middle, or end of the file. The Composition object contains settings for the clips that make up an output file. For the current release, you can only specify settings for a single clip per output file. The Composition object cannot be null.

Returns:
  You can create an output file that contains an excerpt from the input file. This excerpt, called a clip, can come from the beginning, middle, or end of the file. The Composition object contains settings for the clips that make up an output file. For the current release, you can only specify settings for a single clip per output file. The Composition object cannot be null.

#### setComposition

    @Deprecated
    public void setComposition(Collection<Clip> composition)

Deprecated.

You can create an output file that contains an excerpt from the input file. This excerpt, called a clip, can come from the beginning, middle, or end of the file. The Composition object contains settings for the clips that make up an output file. For the current release, you can only specify settings for a single clip per output file. The Composition object cannot be null.

Parameters:
  `composition` - You can create an output file that contains an excerpt from the input file. This excerpt, called a clip, can come from the beginning, middle, or end of the file. The Composition object contains settings for the clips that make up an output file. For the current release, you can only specify settings for a single clip per output file. The Composition object cannot be null.

#### withComposition

    @Deprecated
    public JobOutput withComposition(Clip... composition)

Deprecated.

You can create an output file that contains an excerpt from the input file. This excerpt, called a clip, can come from the beginning, middle, or end of the file. The Composition object contains settings for the clips that make up an output file. For the current release, you can only specify settings for a single clip per output file. The Composition object cannot be null.

NOTE: This method appends the values to the existing list (if any). Use `setComposition(java.util.Collection)` or `withComposition(java.util.Collection)` if you want to override the existing values.

Parameters:
  `composition` - You can create an output file that contains an excerpt from the input file. This excerpt, called a clip, can come from the beginning, middle, or end of the file. The Composition object contains settings for the clips that make up an output file. For the current release, you can only specify settings for a single clip per output file. The Composition object cannot be null.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### withComposition

    @Deprecated
    public JobOutput withComposition(Collection<Clip> composition)

Deprecated.

You can create an output file that contains an excerpt from the input file. This excerpt, called a clip, can come from the beginning, middle, or end of the file. The Composition object contains settings for the clips that make up an output file. For the current release, you can only specify settings for a single clip per output file. The Composition object cannot be null.

Parameters:
  `composition` - You can create an output file that contains an excerpt from the input file. This excerpt, called a clip, can come from the beginning, middle, or end of the file. The Composition object contains settings for the clips that make up an output file. For the current release, you can only specify settings for a single clip per output file. The Composition object cannot be null.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setCaptions

    public void setCaptions(Captions captions)

You can configure Elastic Transcoder to transcode captions, or subtitles, from one format to another. All captions must be in UTF-8. Elastic Transcoder supports two types of captions:

- Embedded: Embedded captions are included in the same file as the audio and video. Elastic Transcoder supports only one embedded caption per language, to a maximum of 300 embedded captions per file.

  Valid input values include: `CEA-608 (EIA-608`, first non-empty channel only), `CEA-708 (EIA-708`, first non-empty channel only), and `mov-text`

  Valid outputs include: `mov-text`

  Elastic Transcoder supports a maximum of one embedded format per output.

- Sidecar: Sidecar captions are kept in a separate metadata file from the audio and video data. Sidecar captions require a player that is capable of understanding the relationship between the video file and the sidecar file. Elastic Transcoder supports only one sidecar caption per language, to a maximum of 20 sidecar captions per file.

  Valid input values include: `dfxp` (first div element only), `ebu-tt`, `scc`, `smpt`, `srt`, `ttml` (first div element only), and `webvtt`

  Valid outputs include: `dfxp` (first div element only), `scc`, `srt`, and `webvtt`.

If you want ttml or smpte-tt compatible captions, specify dfxp as your output format.

Elastic Transcoder does not support OCR (Optical Character Recognition), does not accept pictures as a valid input for captions, and is not available for audio-only transcoding. Elastic Transcoder does not preserve text formatting (for example, italics) during the transcoding process.

To remove captions or leave the captions empty, set `Captions` to null. To pass through existing captions unchanged, set the `MergePolicy` to `MergeRetain`, and pass in a null `CaptionSources` array.

For more information on embedded files, see the Subtitles Wikipedia page.

For more information on sidecar files, see the Extensible Metadata Platform and Sidecar file Wikipedia pages.

Parameters:
  `captions` - You can configure Elastic Transcoder to transcode captions, or subtitles, from one format to another. All captions must be in UTF-8. Elastic Transcoder supports two types of captions:

  - Embedded: Embedded captions are included in the same file as the audio and video. Elastic Transcoder supports only one embedded caption per language, to a maximum of 300 embedded captions per file.

    Valid input values include: `CEA-608 (EIA-608`, first non-empty channel only), `CEA-708 (EIA-708`, first non-empty channel only), and `mov-text`

    Valid outputs include: `mov-text`

    Elastic Transcoder supports a maximum of one embedded format per output.

  - Sidecar: Sidecar captions are kept in a separate metadata file from the audio and video data. Sidecar captions require a player that is capable of understanding the relationship between the video file and the sidecar file. Elastic Transcoder supports only one sidecar caption per language, to a maximum of 20 sidecar captions per file.

    Valid input values include: `dfxp` (first div element only), `ebu-tt`, `scc`, `smpt`, `srt`, `ttml` (first div element only), and `webvtt`

    Valid outputs include: `dfxp` (first div element only), `scc`, `srt`, and `webvtt`.

  If you want ttml or smpte-tt compatible captions, specify dfxp as your output format.

  Elastic Transcoder does not support OCR (Optical Character Recognition), does not accept pictures as a valid input for captions, and is not available for audio-only transcoding. Elastic Transcoder does not preserve text formatting (for example, italics) during the transcoding process.

  To remove captions or leave the captions empty, set `Captions` to null. To pass through existing captions unchanged, set the `MergePolicy` to `MergeRetain`, and pass in a null `CaptionSources` array.

  For more information on embedded files, see the Subtitles Wikipedia page.

  For more information on sidecar files, see the Extensible Metadata Platform and Sidecar file Wikipedia pages.

#### getCaptions

    public Captions getCaptions()

You can configure Elastic Transcoder to transcode captions, or subtitles, from one format to another. All captions must be in UTF-8. Elastic Transcoder supports two types of captions:

- Embedded: Embedded captions are included in the same file as the audio and video. Elastic Transcoder supports only one embedded caption per language, to a maximum of 300 embedded captions per file.

  Valid input values include: `CEA-608 (EIA-608`, first non-empty channel only), `CEA-708 (EIA-708`, first non-empty channel only), and `mov-text`

  Valid outputs include: `mov-text`

  Elastic Transcoder supports a maximum of one embedded format per output.

- Sidecar: Sidecar captions are kept in a separate metadata file from the audio and video data. Sidecar captions require a player that is capable of understanding the relationship between the video file and the sidecar file. Elastic Transcoder supports only one sidecar caption per language, to a maximum of 20 sidecar captions per file.

  Valid input values include: `dfxp` (first div element only), `ebu-tt`, `scc`, `smpt`, `srt`, `ttml` (first div element only), and `webvtt`

  Valid outputs include: `dfxp` (first div element only), `scc`, `srt`, and `webvtt`.

If you want ttml or smpte-tt compatible captions, specify dfxp as your output format.

Elastic Transcoder does not support OCR (Optical Character Recognition), does not accept pictures as a valid input for captions, and is not available for audio-only transcoding. Elastic Transcoder does not preserve text formatting (for example, italics) during the transcoding process.

To remove captions or leave the captions empty, set `Captions` to null. To pass through existing captions unchanged, set the `MergePolicy` to `MergeRetain`, and pass in a null `CaptionSources` array.

For more information on embedded files, see the Subtitles Wikipedia page.

For more information on sidecar files, see the Extensible Metadata Platform and Sidecar file Wikipedia pages.

Returns:
  You can configure Elastic Transcoder to transcode captions, or subtitles, from one format to another. All captions must be in UTF-8. Elastic Transcoder supports two types of captions:

  - Embedded: Embedded captions are included in the same file as the audio and video. Elastic Transcoder supports only one embedded caption per language, to a maximum of 300 embedded captions per file.

    Valid input values include: `CEA-608 (EIA-608`, first non-empty channel only), `CEA-708 (EIA-708`, first non-empty channel only), and `mov-text`

    Valid outputs include: `mov-text`

    Elastic Transcoder supports a maximum of one embedded format per output.

  - Sidecar: Sidecar captions are kept in a separate metadata file from the audio and video data. Sidecar captions require a player that is capable of understanding the relationship between the video file and the sidecar file. Elastic Transcoder supports only one sidecar caption per language, to a maximum of 20 sidecar captions per file.

    Valid input values include: `dfxp` (first div element only), `ebu-tt`, `scc`, `smpt`, `srt`, `ttml` (first div element only), and `webvtt`

    Valid outputs include: `dfxp` (first div element only), `scc`, `srt`, and `webvtt`.

  If you want ttml or smpte-tt compatible captions, specify dfxp as your output format.

  Elastic Transcoder does not support OCR (Optical Character Recognition), does not accept pictures as a valid input for captions, and is not available for audio-only transcoding. Elastic Transcoder does not preserve text formatting (for example, italics) during the transcoding process.

  To remove captions or leave the captions empty, set `Captions` to null. To pass through existing captions unchanged, set the `MergePolicy` to `MergeRetain`, and pass in a null `CaptionSources` array.

  For more information on embedded files, see the Subtitles Wikipedia page.

  For more information on sidecar files, see the Extensible Metadata Platform and Sidecar file Wikipedia pages.

#### withCaptions

    public JobOutput withCaptions(Captions captions)

You can configure Elastic Transcoder to transcode captions, or subtitles, from one format to another. All captions must be in UTF-8. Elastic Transcoder supports two types of captions:

- Embedded: Embedded captions are included in the same file as the audio and video. Elastic Transcoder supports only one embedded caption per language, to a maximum of 300 embedded captions per file.

  Valid input values include: `CEA-608 (EIA-608`, first non-empty channel only), `CEA-708 (EIA-708`, first non-empty channel only), and `mov-text`

  Valid outputs include: `mov-text`

  Elastic Transcoder supports a maximum of one embedded format per output.

- Sidecar: Sidecar captions are kept in a separate metadata file from the audio and video data. Sidecar captions require a player that is capable of understanding the relationship between the video file and the sidecar file. Elastic Transcoder supports only one sidecar caption per language, to a maximum of 20 sidecar captions per file.

  Valid input values include: `dfxp` (first div element only), `ebu-tt`, `scc`, `smpt`, `srt`, `ttml` (first div element only), and `webvtt`

  Valid outputs include: `dfxp` (first div element only), `scc`, `srt`, and `webvtt`.

If you want ttml or smpte-tt compatible captions, specify dfxp as your output format.

Elastic Transcoder does not support OCR (Optical Character Recognition), does not accept pictures as a valid input for captions, and is not available for audio-only transcoding. Elastic Transcoder does not preserve text formatting (for example, italics) during the transcoding process.

To remove captions or leave the captions empty, set `Captions` to null. To pass through existing captions unchanged, set the `MergePolicy` to `MergeRetain`, and pass in a null `CaptionSources` array.

For more information on embedded files, see the Subtitles Wikipedia page.

For more information on sidecar files, see the Extensible Metadata Platform and Sidecar file Wikipedia pages.

Parameters:
  `captions` - You can configure Elastic Transcoder to transcode captions, or subtitles, from one format to another. All captions must be in UTF-8. Elastic Transcoder supports two types of captions:

  - Embedded: Embedded captions are included in the same file as the audio and video. Elastic Transcoder supports only one embedded caption per language, to a maximum of 300 embedded captions per file.

    Valid input values include: `CEA-608 (EIA-608`, first non-empty channel only), `CEA-708 (EIA-708`, first non-empty channel only), and `mov-text`

    Valid outputs include: `mov-text`

    Elastic Transcoder supports a maximum of one embedded format per output.

  - Sidecar: Sidecar captions are kept in a separate metadata file from the audio and video data. Sidecar captions require a player that is capable of understanding the relationship between the video file and the sidecar file. Elastic Transcoder supports only one sidecar caption per language, to a maximum of 20 sidecar captions per file.

    Valid input values include: `dfxp` (first div element only), `ebu-tt`, `scc`, `smpt`, `srt`, `ttml` (first div element only), and `webvtt`

    Valid outputs include: `dfxp` (first div element only), `scc`, `srt`, and `webvtt`.

  If you want ttml or smpte-tt compatible captions, specify dfxp as your output format.

  Elastic Transcoder does not support OCR (Optical Character Recognition), does not accept pictures as a valid input for captions, and is not available for audio-only transcoding. Elastic Transcoder does not preserve text formatting (for example, italics) during the transcoding process.

  To remove captions or leave the captions empty, set `Captions` to null. To pass through existing captions unchanged, set the `MergePolicy` to `MergeRetain`, and pass in a null `CaptionSources` array.

  For more information on embedded files, see the Subtitles Wikipedia page.

  For more information on sidecar files, see the Extensible Metadata Platform and Sidecar file Wikipedia pages.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setEncryption

    public void setEncryption(Encryption encryption)

The encryption settings, if any, that you want Elastic Transcoder to apply to your output files. If you choose to use encryption, you must specify a mode to use. If you choose not to use encryption, Elastic Transcoder writes an unencrypted file to your Amazon S3 bucket.

Parameters:
  `encryption` - The encryption settings, if any, that you want Elastic Transcoder to apply to your output files. If you choose to use encryption, you must specify a mode to use. If you choose not to use encryption, Elastic Transcoder writes an unencrypted file to your Amazon S3 bucket.

#### getEncryption

    public Encryption getEncryption()

The encryption settings, if any, that you want Elastic Transcoder to apply to your output files. If you choose to use encryption, you must specify a mode to use. If you choose not to use encryption, Elastic Transcoder writes an unencrypted file to your Amazon S3 bucket.

Returns:
  The encryption settings, if any, that you want Elastic Transcoder to apply to your output files. If you choose to use encryption, you must specify a mode to use. If you choose not to use encryption, Elastic Transcoder writes an unencrypted file to your Amazon S3 bucket.

#### withEncryption

    public JobOutput withEncryption(Encryption encryption)

The encryption settings, if any, that you want Elastic Transcoder to apply to your output files. If you choose to use encryption, you must specify a mode to use. If you choose not to use encryption, Elastic Transcoder writes an unencrypted file to your Amazon S3 bucket.

Parameters:
  `encryption` - The encryption settings, if any, that you want Elastic Transcoder to apply to your output files. If you choose to use encryption, you must specify a mode to use. If you choose not to use encryption, Elastic Transcoder writes an unencrypted file to your Amazon S3 bucket.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setAppliedColorSpaceConversion

    public void setAppliedColorSpaceConversion(String appliedColorSpaceConversion)

If Elastic Transcoder used a preset with a `ColorSpaceConversionMode` to transcode the output file, the `AppliedColorSpaceConversion` parameter shows the conversion used. If no `ColorSpaceConversionMode` was defined in the preset, this parameter is not be included in the job response.

Parameters:
  `appliedColorSpaceConversion` - If Elastic Transcoder used a preset with a `ColorSpaceConversionMode` to transcode the output file, the `AppliedColorSpaceConversion` parameter shows the conversion used. If no `ColorSpaceConversionMode` was defined in the preset, this parameter is not be included in the job response.

#### getAppliedColorSpaceConversion

    public String getAppliedColorSpaceConversion()

If Elastic Transcoder used a preset with a `ColorSpaceConversionMode` to transcode the output file, the `AppliedColorSpaceConversion` parameter shows the conversion used. If no `ColorSpaceConversionMode` was defined in the preset, this parameter is not be included in the job response.

Returns:
  If Elastic Transcoder used a preset with a `ColorSpaceConversionMode` to transcode the output file, the `AppliedColorSpaceConversion` parameter shows the conversion used. If no `ColorSpaceConversionMode` was defined in the preset, this parameter is not be included in the job response.

#### withAppliedColorSpaceConversion

    public JobOutput withAppliedColorSpaceConversion(String appliedColorSpaceConversion)

If Elastic Transcoder used a preset with a `ColorSpaceConversionMode` to transcode the output file, the `AppliedColorSpaceConversion` parameter shows the conversion used. If no `ColorSpaceConversionMode` was defined in the preset, this parameter is not be included in the job response.

Parameters:
  `appliedColorSpaceConversion` - If Elastic Transcoder used a preset with a `ColorSpaceConversionMode` to transcode the output file, the `AppliedColorSpaceConversion` parameter shows the conversion used. If no `ColorSpaceConversionMode` was defined in the preset, this parameter is not be included in the job response.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public JobOutput clone()

Overrides:
  `clone` in class `Object`